Subject: bug#61190: 28.2; ispell personal dictionary location for hunspell engine

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Feb 2023 19:14:13 +0200

> From: O G <[email-masked]>
> Date: Sat, 11 Feb 2023 12:07:36 -0500
> Cc: [email-masked]
> 
>  >  emacs -Q
>  >  M-: (setq ispell-program-name "hunspell") RET
>  >  M-: (setq ispell-personal-dictionary "C:/Users/xxxx/.hunspell_en_US") RET
> 
>  > Now go to some word in *scratch* and type M-$.
> 
>  > Then look with Process Explorer how Emacs invoked Hunspell.
> 
>  >When I do the above, I clearly see the "-p PDICT" command-line
>  >arguments with which Emacs invokes Hunspell.  I made a point of
>  >testing this on Windows with Emacs 28.2, which is what you have, and
>  >it worked for me.
> 
> Thanks for the detailed suggestions -- it now works.

So I guess we can close this bug now?

> From what I can tell, the issue was the double backslashes not being accepted 
> in the file path for the hunspell personal dictionary.

It should works either way.  Maybe you didn't double every backslash?